Bug 1415510 - [abrt] kf5-kinit: _XDefaultIOError(): kdeinit5 killed by SIGSEGV
Summary: [abrt] kf5-kinit: _XDefaultIOError(): kdeinit5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:89396dac1ac1105f8e06b0b8b1b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-22 22:55 UTC by Max
Modified: 2017-08-08 19:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:35:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.54 KB, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: core_backtrace (9.68 KB, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: dso_list (24.51 KB, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: environ (4.50 KB, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: maps (113.74 KB, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: mountinfo (3.24 KB, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: open_fds (175 bytes, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-22 22:55 UTC, Max
no flags Details

Description Max 2017-01-22 22:55:37 UTC
Version-Release number of selected component:
kf5-kinit-5.29.0-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        'kded5 [kdeinit5]' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: _XDefaultIOError
executable:     /usr/bin/kdeinit5
global_pid:     1593
kernel:         4.9.4-100.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #14 _XDefaultIOError at XlibInt.c:1258
 #15 ioErrorHandler at qxcbconnection.cpp:161
 #17 require_socket at xcb_io.c:70
 #18 _XFlush at xcb_io.c:511
 #19 _XGetRequest at XlibInt.c:1702
 #20 XFreeGC at FreeGC.c:43
 #21 XCloseDisplay at ClDisplay.c:56
 #22 XlibBackend::XDisplayCleanup::cleanup at /usr/src/debug/plasma-desktop-5.8.5/kcms/touchpad/src/backends/x11/xlibbackend.cpp:57
 #23 QScopedPointer<_XDisplay, XlibBackend::XDisplayCleanup>::~QScopedPointer at /usr/include/qt5/QtCore/qscopedpointer.h:101
 #24 XlibBackend::~XlibBackend at /usr/src/debug/plasma-desktop-5.8.5/kcms/touchpad/src/backends/x11/xlibbackend.cpp:71

Comment 1 Max 2017-01-22 22:55:42 UTC
Created attachment 1243463 [details]
File: backtrace

Comment 2 Max 2017-01-22 22:55:43 UTC
Created attachment 1243464 [details]
File: cgroup

Comment 3 Max 2017-01-22 22:55:44 UTC
Created attachment 1243465 [details]
File: core_backtrace

Comment 4 Max 2017-01-22 22:55:45 UTC
Created attachment 1243466 [details]
File: dso_list

Comment 5 Max 2017-01-22 22:55:46 UTC
Created attachment 1243467 [details]
File: environ

Comment 6 Max 2017-01-22 22:55:47 UTC
Created attachment 1243468 [details]
File: limits

Comment 7 Max 2017-01-22 22:55:48 UTC
Created attachment 1243469 [details]
File: maps

Comment 8 Max 2017-01-22 22:55:49 UTC
Created attachment 1243470 [details]
File: mountinfo

Comment 9 Max 2017-01-22 22:55:50 UTC
Created attachment 1243471 [details]
File: namespaces

Comment 10 Max 2017-01-22 22:55:51 UTC
Created attachment 1243472 [details]
File: open_fds

Comment 11 Max 2017-01-22 22:55:52 UTC
Created attachment 1243473 [details]
File: proc_pid_status

Comment 12 Max 2017-01-22 22:55:53 UTC
Created attachment 1243474 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-07-26 00:12:36 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-08-08 19:35:44 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.